【资源】鸿蒙系统 开发环境 已经配置好各类环境 ubuntu 20.04镜

3 天前  484 harmony
分享
7
本帖最后由 jf_39160458 于 2020-9-16 20:14 编辑

1、前言:
目前鸿蒙系统的开发环境主要分为 windows 和 Linux两个平台。目前编译 鸿蒙系统的代码还是需要在 Linux环境下。
关于Linux的环境搭建官方有提供文档说明:https://device.harmonyos.com/cn/docs/start/introduce/oem_quickstart_3861_build-0000001054781998
这里推荐大家使用 ubuntu 20.04 版本。
虽然环境搭建不难,但是初学者容易在这里踩坑,搭了半天都不行。
为此,本文提供了已经配置好开发环境 ubuntu 20.04
由于百度网盘经常封链接,如果发现链接失效,可以联系我,VX 13510979604

腾讯云盘
链接:https://share.weiyun.com/6suCAhNN

百度网盘(以下几个链接,选一个能用的下载就行):
1、链接:https://pan.baidu.com/s/1sT3ASuqRbh3zH3WFdxw6AA
提取码:iaap

2、链接:https://pan.baidu.com/s/1j8jLF0QZmiWhriiwzMPCMg
提取码:zgew


2、说明:
1、已配置好开发环境,可直接编译代码,编译可以正常运行
2、配置好 sftp ,可远程传输文件

账号:harmony
密码:123456
代码路径:~/harmony/code/code-1.0
相关的环境工具路径(可以不用管了,已经配置好了,直接可以编译):~/harmony/tools
编译命令
对应开发板: hi3516 IPC开发板
python build.py ipcamera_hi3516dv300

对应开发板: hi3518 IPC开发板
python build.py ipcamera_hi3518ev300

对应开发板: hi3861 智能家居 开发板
python build.py wIFiiot


编译结果,可以看到已经编译成功了



3、搭建环境中踩到的坑:
1、最好使用 ubuntu 20.04版本,自带 python3.8 ,其它的ubuntu版本自带的python版本过低,会导致编译报错

2、最好手动安装SCons安装包(需root/sudo权限安装)。运行命令:“sudo apt-get install scons -y”。如果软件源中无法找到安装包,请按以下步骤处理:
下载源码包(下载路径:“ https://scons.org/pages/download.html ”,推荐SCons版本是3.0.4+)。
解压源码包到任意目录。
安装源码包:进入解压目录,运行命令“sudo python3 setup.py install”(需root/sudo权限安装),等待安装完毕。
输入命令“scons -v”,查看是否安装成功。如果安装成功,查询结果下图所示。

3、安装pip 的时候不要切换apt-get 的源,可能会导致出错,使用默认的镜像源即可


sdgjin 3 天前
你好,链接地址不存在,是否可以重新提供?谢谢!
2回复

举报

本帖最后由 jf_39160458 于 2020-9-16 14:42 编辑

百度网盘链接容易挂。。。
4回复

举报

zenglingwei 3 天前
下载链接不存在
2回复

举报

emitter 前天 11:23
目前Windows平台烧录所涉及的安装包已经上传至社区:

Hi3516DV300烧录--Windows环境安装包
https://bbs.elecfans.com/jishu_1989768_1_1.html
回复

举报

评论

您需要登录后才可以回帖 登录 | 注册

声明:本文内容及配图由入驻作者撰写或者入驻合作网站授权转载。文章观点仅代表作者本人,不代表电子发烧友网立场。文章及其配图仅供工程师学习之用,如有内容图片侵权或者其他问题,请联系本站作侵删。 侵权投诉
发文章

最新文章